CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-9003

In the Linux kernel before 4.20.5, attackers can trigger a drivers/char/ipmi/ipmi_msghandler.c use-after-free and OOPS by arranging for certain simultaneous execution of the code, as demonstrated by a "service ipmievd restart" loop.
Publish Date : 2019-02-22 Last Update Date : 2021-06-02
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 416

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2019:1167: kernel security and bug fix update (Important) oval:com.redhat.rhsa:def:20191167 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-9003

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 18.10 * * * Version Details Vulnerabilities
3 OS Linux Linux Kernel * * * * Version Details Vulnerabilities
4 OS Linux Linux Kernel 5.0 RC2 * * Version Details Vulnerabilities
5 OS Linux Linux Kernel 5.0 RC3 * * Version Details Vulnerabilities
6 OS Linux Linux Kernel 5.0 RC4 * * Version Details Vulnerabilities
7 OS Linux Linux Kernel 5.0 RC1 * * Version Details Vulnerabilities
8 Application Netapp Hci Management Node - * * * Version Details Vulnerabilities
9 Application Netapp Snapprotect - * * * Version Details Vulnerabilities
10 Application Netapp Solidfire - * * * Version Details Vulnerabilities
11 OS Opensuse Leap 15.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 2
Linux Linux Kernel 5
Netapp Hci Management Node 1
Netapp Snapprotect 1
Netapp Solidfire 1
Opensuse Leap 1

- References For CVE-2019-9003

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=77f8269606bf95fcb232ee86f6da80886f1dfae8
http://www.securityfocus.com/bid/107145
BID 107145 Linux Kernel 'drivers/char/ipmi/ipmi_msghandler.c' Denial of Service Vulnerability Release Date:2019-02-23
https://security.netapp.com/advisory/ntap-20190327-0002/ CONFIRM
https://github.com/torvalds/linux/commit/77f8269606bf95fcb232ee86f6da80886f1dfae8
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.20.5
https://usn.ubuntu.com/3930-1/
UBUNTU USN-3930-1
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00037.html
SUSE openSUSE-SU-2019:1404
https://usn.ubuntu.com/3930-2/
UBUNTU USN-3930-2

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0
Vulnerability is valid if product versions listed below are used 0

- Metasploit Modules Related To CVE-2019-9003

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.